# ignoreDependencyInterface method

void ignoreDependencyInterface(

1. Class type

)

Ignores the specified dependency interface and all its implementations during autowiring.

Example:

    factory.ignoreDependencyInterface(Serializable); // Ignore all serializable types

@param type The interface type to ignore during dependency resolution

## Implementation

    void ignoreDependencyInterface(Class type) {
    		_ignoredDependencyInterfaces.add(type);
    	}